> For the complete documentation index, see [llms.txt](https://docs.verifyme.ng/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.verifyme.ng/identity-verifications/tax-identification-number.md).

# Tax Identification Number

{% hint style="info" %}
Please note that when using your test key, Our test company persona is **John Doe** and the corporate Tax Identification Number is 00000000-000&#x30;**.**
{% endhint %}

## Verify TIN

<mark style="color:blue;">`GET`</mark> `https://vapi.verifyme.ng/v1/verifications/identities/tin/:ref`

#### Headers

| Name          | Type   | Description                         |
| ------------- | ------ | ----------------------------------- |
| Authorization | string | Authorization Header - Bearer Token |

{% tabs %}
{% tab title="200 " %}

```
{
    "status": "success",
    "data": {
        "tin": "00000000-0000",
        "taxpayerName": "John Doe",
        "cacRegNo": "RC18*****",
        "entityType": "00000000-0000",
        "jittin": "",
        "taxOffice": "Tax Office Address",
        "phone": "090********",
        "email": "johndoe@gmail.com"
    }
}
```

{% endtab %}

{% tab title="400 Invalid TIN format" %}

```
{
    "statusCode": 400,
    "error": "Bad Request",
    "message": "Invalid TIN Format. Valid Tin format => XXXXXXXX-XXXX"
}
```

{% endtab %}

{% tab title="404 TIN not found" %}

```
{
    "statusCode": 404,
    "error": "Not Found",
    "message": "Company with provided TIN details not found"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.verifyme.ng/identity-verifications/tax-identification-number.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
